Bug 1077080 - (CVE-2017-17997) VUL-0: CVE-2017-17997: wireshark: Misuse of NULL pointer in MRDISC dissector
(CVE-2017-17997)
VUL-0: CVE-2017-17997: wireshark: Misuse of NULL pointer in MRDISC dissector
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/197440/
CVSSv3:SUSE:CVE-2017-17997:5.9:(AV:N/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-22 16:39 UTC by Marcus Meissner
Modified: 2020-07-13 19:21 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Lingshan Zhu 2018-01-24 06:57:12 UTC
Upstream commit 27556320b41904716b9c9f73ef8f4fe705d1e669 found in tag 2.2.12, this issue is fiexed in the tarball. I willl update the changelog to mention this.
Comment 2 Lingshan Zhu 2018-01-24 08:44:54 UTC
For SLE11:
https://build.suse.de/request/show/152523
For SLE12:
https://build.suse.de/request/show/152522
Comment 3 Swamp Workflow Management 2018-03-26 13:14:59 UTC
SUSE-SU-2018:0811-1: An update that fixes 24 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1077080,1082692
CVE References: CVE-2017-17997,CVE-2018-7320,CVE-2018-7321,CVE-2018-7322,CVE-2018-7323,CVE-2018-7324,CVE-2018-7325,CVE-2018-7326,CVE-2018-7327,CVE-2018-7328,CVE-2018-7329,CVE-2018-7330,CVE-2018-7331,CVE-2018-7332,CVE-2018-7333,CVE-2018-7334,CVE-2018-7335,CVE-2018-7336,CVE-2018-7337,CVE-2018-7417,CVE-2018-7418,CVE-2018-7419,CVE-2018-7420,CVE-2018-7421
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    wireshark-2.2.13-48.21.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    wireshark-2.2.13-48.21.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    wireshark-2.2.13-48.21.1
SUSE Linux Enterprise Server 12-SP3 (src):    wireshark-2.2.13-48.21.1
SUSE Linux Enterprise Server 12-SP2 (src):    wireshark-2.2.13-48.21.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    wireshark-2.2.13-48.21.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    wireshark-2.2.13-48.21.1
Comment 4 Swamp Workflow Management 2018-04-03 22:08:51 UTC
SUSE-SU-2018:0867-1: An update that fixes 24 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1077080,1082692
CVE References: CVE-2017-17997,CVE-2018-7320,CVE-2018-7321,CVE-2018-7322,CVE-2018-7323,CVE-2018-7324,CVE-2018-7325,CVE-2018-7326,CVE-2018-7327,CVE-2018-7328,CVE-2018-7329,CVE-2018-7330,CVE-2018-7331,CVE-2018-7332,CVE-2018-7333,CVE-2018-7334,CVE-2018-7335,CVE-2018-7336,CVE-2018-7337,CVE-2018-7417,CVE-2018-7418,CVE-2018-7419,CVE-2018-7420,CVE-2018-7421
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    wireshark-2.2.13-40.22.1
SUSE Linux Enterprise Server 11-SP4 (src):    wireshark-2.2.13-40.22.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    wireshark-2.2.13-40.22.1
Comment 5 Marcus Meissner 2018-09-07 14:17:00 UTC
released
Comment 6 Swamp Workflow Management 2018-10-13 16:00:29 UTC
This is an autogenerated message for OBS integration:
This bug (1077080) was mentioned in
https://build.opensuse.org/request/show/641836 42.3 / wireshark